#ifndef ztl_chunk_h
#define ztl_chunk_h

#include "common.h"
#include "memory.h"

typedef enum {
  OP_RETURN, 
} OpCode;

typedef struct Chunk {
  int count;
  int capacity;
  uint8_t *code;
} Chunk;

void newChunk(Chunk *chunk);
void freeChunk(Chunk *chunk);
void writeChunk(Chunk *chunk, uint8_t byte);

#endif
